html,
body {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  font-family: "Courier New", Courier, monospace;
}

body {
  display: grid;
  grid-template-columns: 1fr 5fr;
  grid-template-rows: 0.8fr 5fr;
  min-height: 100vh;
  width: 100%;
}

.sidebar {
  grid-area: 1 / 1 / 6 / 2;
  background-color: #1992d4;
  color: aliceblue;
  padding: 1em;
  font-weight: bold;
}

.sidebar .top-nav > div,
.sidebar .bottom-nav > div,
.dashboard {
  display: grid;
  grid-template-columns: 1fr 4fr;
  align-items: center;
  justify-items: center;
  gap: 28px;
}

.sidebar-navigation {
  font-size: 1.3em;
}

.dashboard h1,
.sidebar p {
  grid-area: 1 / 2;
  justify-self: flex-start;
}

.dashboard svg,
.sidebar svg {
  grid-area: 1 / 1;
  align-items: center;
}

.dashboard {
  gap: 1em;
}

.dashboard svg {
  height: 3em;
  width: 3em;
}

.sidebar-navigation svg {
  height: 1.5em;
  width: 1.5em;
}

.header {
  grid-area: 1 / 2 / 2 / 6;
}

.main {
  grid-area: 2 / 2 / 6 / 6;
  background-color: #e2e8f0;
}

.top-header {
  display: grid;
  grid-template-columns: 0.3fr 6fr 50px 50px 150px;
  align-items: center;
  padding: 20px;
  gap: 5px;
}

.top-header svg {
  width: 1.5em;
  height: 1.5em;
}

.search-bar {
  background-color: #e2e8f0;
  width: clamp(100px, 80%, 30em);
  height: 25px;
  border-radius: 10px;
}

.top-header :nth-child(n + 3):nth-child(-n + 5) {
  justify-self: flex-end;
}

.bottom-header {
  display: grid;
  grid-auto-flow: column;
  justify-items: center;
  align-items: center;
  grid-template-columns: 100px 2fr 100px 100px 100px;
  padding: 20px;
}

.bottom-header svg {
  width: 4em;
  height: 4em;
}

.welcome-user {
  justify-self: flex-start;
  font-weight: bold;
}

.welcome-user p:nth-child(2) {
  font-size: 1.3em;
  margin-top: -18px;
}

.bottom-header button {
  justify-self: flex-end;
  background-color: #1992d4;
  padding: 10px;
  border-radius: 10px;
  width: 5em;
  color: aliceblue;
  border: none;
}

.blockElementsMain {
  display: grid;
  grid-template-columns: 3fr 1fr;
  grid-auto-flow: column;
}

.headers-main {
  grid-area: 1 / 1;
  grid-auto-flow: column;
  display: grid;
  padding: 0 15px 0 15px;
  grid-template-columns: 3fr 1fr;
}

.headers-main h3:nth-child(2) {
  grid-area: 1 / 2;
  padding-left: 20px;
}

.projects {
  grid-area: 2 / 1;
}

.rightMainElements {
  grid-area: 2 / 2;
}

.projects,
.rightMainElements {
  padding: 15px;
  display: grid;
}

.rightMainElements {
  display: grid;
  grid-template-columns: repeat(auto-fit, auto);
}

.projectContainer {
  display: grid;
  grid-template-columns: repeat(auto-fit, auto);
  grid-template-rows: repeat(3, auto);
  grid-auto-flow: column;
  gap: 10px;
}

.project {
  background-color: #fff;
  border-radius: 10px;
  padding: 10px;
  border-left: 5px solid orange;
  grid-auto-flow: column;
  grid-auto-flow: column;
  display: grid;
  gap: 20px;
}

.project p {
  font-size: 0.5em;
}

.projects h3 {
  display: inline-block;
  height: fit-content;
}

.project svg {
  width: 1em;
  height: 1em;
  align-self: flex-end;
}

.announcement {
  background-color: white;
  padding: 10px;
  border-radius: 10px;
}

.announcement > div,
.trends {
  background-color: white;
  padding: 20px;
}

.announcement div:nth-child(1),
.announcement div:nth-child(2) {
  border-radius: 10px 10px 0 0;
  border-bottom: 1px solid gray;
}

.announcement p {
  font-size: 0.1em;
}

.trends {
  display: grid;
  gap: 10px;
  border-radius: 10px;
}

.trends > div {
  display: grid;
  grid-auto-flow: column;
  grid-template-columns: repeat(auto-fit, auto);
  gap: 20px;
  align-items: center;
  justify-content: flex-start;
}

.trends svg {
  width: 2em;
  height: 2em;
}
